<?php

class widget_about_seller extends WP_Widget { 
	
	// Widget Settings
	function __construct() {
		$widget_ops = array('description' => esc_html__('Only Detail Page: Display about seller.','froday') );
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'about_seller' );
		 parent::__construct( 'about_seller', esc_html__('Froday About Seller','froday'), $widget_ops, $control_ops );
	}


	
	// Widget Output
	function widget($args, $instance) {
		if(is_product()){
		extract($args);
		$title = apply_filters( 'widget_title', empty($instance['title']) ? '' : $instance['title'], $instance );
		
		echo $before_widget;

		if($title) {
			echo $before_title . $title . $after_title;
		}
		?>
		
			<?php if(function_exists('klbshortcode')) { ?>

						<div class="widget-body t-center">
							<figure class="mt-20 pb-10">
							<?php
							
							$terms = get_the_terms( get_the_ID(), 'store' );
							if($terms){                   
								foreach ( $terms as $term ) {
									$term_data = get_option('taxonomy_'.$term->term_id);
									if(isset($term_data['store_thumbnail'])){
									$image = froday_resize( wp_get_attachment_url( $term_data['store_thumbnail'] ), 85, 85, true, true, true );

									echo '<img src="'.esc_url($image).'" alt="'.$term->name.'"/>';
									}
								}
							}
							
							?>
							</figure>
							<div class="store-about mb-20">
								<h3 class="mb-10"><?php echo froday_store_title(); ?></h3>
								<div class="rating mb-10">
									<?php froday_store_rating(); ?>
								</div>
								<p class="mb-15"><?php echo froday_store_description(); ?></p>
							</div>
						</div>
			<?php } ?>
	


		<?php echo $after_widget;
		}
	}
	
	// Update
	function update( $new_instance, $old_instance ) {  
		$instance = $old_instance;

		$instance['title'] = strip_tags($new_instance['title']);

		
		return $instance;
	}
	
	// Backend Form
	function form($instance) {
		
		$defaults = array('title' => 'About Seller');
		$instance = wp_parse_args((array) $instance, $defaults); ?>
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>"><?php esc_html_e('Title:','froday'); ?></label>
			<input class="widefat" style="width: 216px;" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $instance['title']; ?>" />
		</p>
	<?php
	}
}

// Add Widget
function widget_about_seller_init() {
	register_widget('widget_about_seller');
}
add_action('widgets_init', 'widget_about_seller_init');

?>